// 用印模块
import http from "@/api/http.js"

const sealInterence={
	// 用印审批列表
	getSealApprovalList:params=>{
		return http.get('/seal/getApprovalPageList',params)
	},

	// 详情
	getSealDetail:params=>{
		return http.get('/seal/getSealApprovalDetail',params)
	},

	//操作记录
	getSealOperationList:params=>{
		return http.get('/seal/getOperationList',params)
	},

	// 合规修改数据审批通过
	sealApprovalPassModify:params=>{
		return http.post('/seal/verifierEditSealApproval',params)
	},

	// 通过审批
	sealApprovalPass:params=>{
		return http.post('/seal/approvedSealApproval',params)
	},

	// 拒绝审批
	sealApprovalReject:params=>{
		return http.post('/seal/rejectSealApproval',params)
	},

	//用印作废
	sealInvalid:params=>{
		return http.post('/seal/invalidSealApproval',params)
	},

	//用印删除
	sealDelete:params=>{
		return http.post('/seal/delSealApproval',params)
	},

	//撤回申请
	sealApprovalBack:params=>{
		return http.post('/seal/cancelSealApproval',params)
	},
	//用印审批详情
	sealApprovalDetail:params=>{
		return http.get('/seal/getSealApprovalDetail',params)
	},
	//获取用印所需合同列表
	getContractListBySeal:params=>{
		return http.get('/contract/getListBySeal',params)
	},
	//上传接口
	resourceUpload:params=>{
		return http.post('/resource/image/upload',params)
	},
	//用印申请
	sealApplySealApproval:params=>{
		return http.post('/seal/applySealApproval',params)
	},
	//编辑用印申请
	sealEditSealApproval:params=>{
		return http.post('/seal/editSealApproval',params)
	},

	//上传/更新签回附件
	sealCheckFileUpload:params=>{
		return http.post('/seal/uploadCheckBackFile',params)
	},

	//获取归属公司
	getBelongCompany: params => {
		return http.get('/seal/getAffiliatedCompany')
	}
}

export {
	sealInterence
}